=== test/build/Makefile ===
# uClibc build tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

include ../Test.mak
