=== test/ctype/Makefile ===
# uClibc ctype tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

TESTS := ctype

include ../Test.mak
