=== test/malloc/Makefile ===
# uClibc malloc tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

TESTS_DISABLED := time_malloc

include ../Test.mak
