=== debian/changelog ===
uclibc (0.9.30.2-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Mon, 08 Mar 2010 16:34:07 +0100

uclibc (0.9.30.1-2) unstable; urgency=low

  * Add actual binary packages on uclibc-linux-* architectures

 -- Simon Richter <sjr@debian.org>  Sat, 12 Dec 2009 18:05:11 +0100
