=== test/locale-mbwc/Makefile ===
# uClibc locale tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak
