=== test/nptl/Makefile ===
# uClibc NPTL tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
top_srcdir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak
