=== debian/changelog ===
uclibc (0.9.32-1) unstable; urgency=low

  * New upstream release
  * Add myself as maintainer
  * Bump standards version 
  * Add Vcs-Git, Vcs-Browser and Homepage fields
  * Add watch file 

 -- Hector Oron <zumbi@debian.org>  Sat, 11 Jun 2011 03:06:20 +0100
