=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: libs
 Priority: extra
 Maintainer: Simon Richter <sjr@debian.org>
+Uploaders: Hector Oron <zumbi@debian.org>
 Build-Depends: linux-libc-dev, debhelper (>= 7)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/collab-maint/uclibc
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uclibc.git
+Homepage: http://uclibc.org/
 
 Package: uclibc-source
 Section: devel
@@ -19,7 +23,7 @@
 Package: libuclibc-dev
 Section: libdevel
 Architecture: any
-Depends: uclibc0.9.30.2 (= ${binary:Version})
+Depends: uclibc0.9.32 (= ${binary:Version})
 Description: Small C library implementation - development files
  uClibc is an implementation of the standard C library that is much smaller
  than glibc, which makes it useful for embedded systems. This package provides
@@ -41,7 +45,7 @@
  variant of the shared library that is smaller, but only guaranteed to work
  with a fixed set of applications.
 
-Package: uclibc0.9.30.2
+Package: uclibc0.9.32
 Section: libs
 Architecture: any
 Description: Small C library implementation - runtime libraries
@@ -51,7 +55,7 @@
  .
  This package provides the run-time binaries.
 
-Package: uclibc32-0.9.30.2
+Package: uclibc32-0.9.32
 Section: libs
 Architecture: any
 Description: Small C library implementation - 32 bit runtime libraries
@@ -62,7 +66,7 @@
  This package provides the run-time binaries for the 32 bit variant of this
  architecture.
 
-Package: uclibc64-0.9.30.2
+Package: uclibc64-0.9.32
 Section: libs
 Architecture: any
 Description: Small C library implementation - 64 bit runtime libraries
@@ -73,7 +77,7 @@
  This package provides the run-time binaries for the 64 bit variant of this
  architecture.
 
-Package: uclibc0.9.30.2-multilib
+Package: uclibc0.9.32-multilib
 Section: libs
 Architecture: any
 Description: Small C library implementation - non-standard runtime libraries
@@ -84,7 +88,7 @@
  This package provides the run-time binaries for ABIs different from the
  system default.
 
-Package: libc0.9.30.2uc
+Package: libc0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
@@ -94,7 +98,7 @@
  .
  This package provides the C library.
 
-Package: lib32c0.9.30.2uc
+Package: lib32c0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - 32 bit C library
@@ -105,7 +109,7 @@
  This package provides the C library, compiled for a 32 bit execution
  environment.
 
-Package: lib64c0.9.30.2uc
+Package: lib64c0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - 64 bit C library
@@ -116,7 +120,7 @@
  This package provides the C library, compiled for a 64 bit execution
  environment.
 
-Package: libm0.9.30.2uc
+Package: libm0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
@@ -126,7 +130,7 @@
  .
  This package provides the mathematical library.
 
-Package: lib32m0.9.30.2uc
+Package: lib32m0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
@@ -137,7 +141,7 @@
  This package provides the mathematical library, compiled for a 32 bit
  execution environment.
 
-Package: lib64m0.9.30.2uc
+Package: lib64m0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
