=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 0.9.30.2
+version = 0.9.32
 
 pwd = $(shell pwd)
