## uclibc 1.0.20

=== debian/changelog ===
uclibc (1.0.20-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Find linux headers in multiarch locations.
      (Closes: #808542)
  * Enable verbose build logs.
      (Closes: #808543)

  [ Chris Lamb ]
  * Make the build reproducible.
      (Closes: #778216)

  [ Héctor Orón Martínez ]
  * Drop mentions of run-time libs in source binary package description.
      (Closes: #641680)
  * Add Vcs-* fields, as Vcs has been restored.
  * Update debian watch for newer upstream.
  * Add gbp configuration file.

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 19 Dec 2016 01:01:33 +0100

uclibc (1.0.20-1) unstable; urgency=medium

  * New upstream release:
    - Switch to uClibc-ng source codebase.
    - Old uClibc is no longer under development.
  * Bump standards version.
  * Update myself on uploaders field.
  * Update homepage, drop Vcs-* as those are no longer available.
  * Drop unused packages from control file
  * Update version in rules file
  * Rename uclibc-source tarball to uClibc-ng-*
  * Switch uclibc-source tarball to xz compression.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 18 Dec 2016 23:57:16 +0100
