=== debian/changelog ===
uclibc (1.0.31-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream version 1.0.31

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Feb 2019 19:54:13 +0100
