=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS =
@@ -28,7 +30,7 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 0.9.32
+version = 1.0.20
 
 pwd = $(shell pwd)
 
@@ -92,16 +94,24 @@
 	dh_testroot
 	dh_clean
 	$(RM) -r build
+	$(RM) -rf debian/include
 
 build-uclibc$(version): build-default
 
-build-default: build/default/.config
-	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS)
+build-default: build/default/.config debian/include
+	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS) V=2
 
 build/default/.config: debian/$(config)
 	dh_testdir
 	mkdir -p build/default
 	cp $< $@
+
+debian/include:
+	$(RM) -rf $@
+	mkdir $@
+	ln -s /usr/include/$(DEB_HOST_MULTIARCH)/asm $@/
+	ln -s /usr/include/asm-generic $@/
+	ln -s /usr/include/linux $@/
 
 ifneq ($(interactive),)
 debian/$(config):
@@ -111,15 +121,15 @@
 	cp build/default/.config $@
 endif
 
-build-uclibc-source: build/uClibc-$(version).tar.bz2
+build-uclibc-source: build/uClibc-ng-$(version).tar.xz
 
-build/uClibc-$(version).tar.bz2: build/uClibc-$(version).tar
-	bzip2 -9k <$< >$@
+build/uClibc-ng-$(version).tar.xz: build/uClibc-ng-$(version).tar
+	xz -9k <$< >$@
 
-build/uClibc-$(version).tar:
+build/uClibc-ng-$(version).tar:
 	dh_testdir
 	mkdir -p build
-	tar -cf $@ --exclude=./build --transform s@^\.@uClibc-$(version)@ .
+	tar -cf $@ --mtime="$(BUILD_DATE)" --exclude=./build --transform s@^\.@uClibc-ng-$(version)@ .
 
 binary-%: build-%
 	dh_testdir
