## uclibc 1.0.35

=== libuargp/Makefile ===
# Makefile for uClibc (libuargp)
#
# Copyright (C) 2010 STMicroelectronics Ltd
# Author(s): Filippo Arcidiacono <filippo.arcidiacono at st.com>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules
