=== libc/string/csky/Makefile ===
top_srcdir:=../../../
top_builddir:=../../../
all: objs
include $(top_builddir)Rules.mak
include ../Makefile.in
include $(top_srcdir)Makerules
