=== libpthread/nptl/sysdeps/unix/sysv/linux/metag/Makefile ===
# Makefile for uClibc NPTL
#
# Copyright (C) 2005 Steven J. Hill <sjhill@uclibc.org>
#
# Licensed under the LGPL v2.1 or later, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../../../../../
top_builddir=../../../../../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.arch
include $(top_srcdir)Makerules
