=== libpthread/nptl/sysdeps/unix/sysv/linux/powerpc/Makefile ===
# Makefile for uClibc NPTL
#
# Copyright (C) 2009  Bernhard Reutner-Fischer  <uclibc@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../../../../../
top_builddir=../../../../../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.arch
include $(top_srcdir)Makerules
