=== debian/changelog ===
uclibc (1.0.35-1) unstable; urgency=medium

  * New upstream release 1.0.35

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 29 Aug 2020 04:35:19 +0200
