=== debian/control ===
Source: uclibc
Section: libs
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: linux-libc-dev, debhelper (>= 7)
Standards-Version: 3.9.8
Homepage: https://www.uclibc-ng.org/
Vcs-Git: git://git.debian.org/git/collab-maint/uclibc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uclibc.git

Package: uclibc-source
Section: devel
Architecture: all
Description: Small C library implementation - source
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems.
 .
 This package provides the source code for the library, for toolchain
 bootstrap purposes.
