=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 1.0.20
+version = 1.0.35
 
 pwd = $(shell pwd)
