=== debian/watch ===
version=3
https://downloads.uclibc-ng.org/releases/([\d].*)/ uClibc-ng-([\d].*)\.tar\.xz
