=== libintl/Makefile ===
# Makefile for uClibc-ng
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules
