=== libubacktrace/Makefile ===
# Makefile for uClibc (libubacktrace)
#
# Copyright (C) 2010 STMicroelectronics Ltd
# Author(s): Carmelo Amoroso <carmelo.amoroso@st.com>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules
