=== libc/misc/elf/Makefile ===
# Copyright (C) 2008 STMicroelectronics Ltd.
# Author: Carmelo Amoroso <carmelo.amoroso@st.com>

# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../
top_builddir=../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules
