=== libc/misc/fts/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2009 STMicroelectronics Ltd.
# Author: Salvatore Cro <salvatore.cro at st.com>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../
top_builddir=../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules
