=== debian/changelog ===
uclibc (1.0.54-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version (closing CVE-2021-27419)
    Closes: #1010748, #811252
  * Point Vcs fields to Salsa
  * Remove Simon Richter from Maintainer at own request (thank you for your
    previous work, Simon)
    Closes: #946533
  * d/watch: version=4
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/rules: automatically calculcate version
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for uclibc-source.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Helmut Grohne ]
  * (re-)enable verbose build logs
    Closes: #864020

  [ Vagrant Cascadian ]
  * reproducible builds: Do not include user, group and file mode of build user
    in tarball
    Closes: #1020867

 -- Andreas Tille <tille@debian.org>  Wed, 10 Sep 2025 06:33:55 +0200
