=== debian/control ===
Source: uclibc
Standards-Version: 4.7.2
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Section: libs
Priority: optional
Build-Depends:
 linux-libc-dev,
 debhelper-compat (= 13),
Vcs-Browser: https://salsa.debian.org/debian/uclibc
Vcs-Git: https://salsa.debian.org/debian/uclibc.git
Homepage: https://www.uclibc-ng.org/

Package: uclibc-source
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Small C library implementation - source
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems.
 .
 This package provides the source code for the library, for toolchain
 bootstrap purposes.
