=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #! /usr/bin/make -f
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
 
 BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
@@ -30,7 +27,8 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 1.0.35
+include /usr/share/dpkg/default.mk
+version = $(DEB_VERSION_UPSTREAM)
 
 pwd = $(shell pwd)
 
@@ -99,7 +97,7 @@
 build-uclibc$(version): build-default
 
 build-default: build/default/.config debian/include
-	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS) V=2
+	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS) V=1
 
 build/default/.config: debian/$(config)
 	dh_testdir
@@ -129,7 +127,7 @@
 build/uClibc-ng-$(version).tar:
 	dh_testdir
 	mkdir -p build
-	tar -cf $@ --mtime="$(BUILD_DATE)" --exclude=./build --transform s@^\.@uClibc-ng-$(version)@ .
+	tar -cf $@ --mtime="$(BUILD_DATE)" --sort=name --owner=0 --group=0 --numeric-owner --mode=go=rX,u+rw,a-s --exclude=./build --exclude=.pc --exclude=debian --transform s@^\.@uClibc-ng-$(version)@ .
 
 binary-%: build-%
 	dh_testdir
