=== debian/watch ===
version=4

## opts="pgpsigurlmangle=s:$:.asc:" # no signing key found
https://downloads.uclibc-ng.org/releases/([\d].*)/ uClibc-ng-([\d].*)\.tar\.xz
